# DiagnosticGroupWarningsGuard (Compiler)

## com.google.javascript.jscomp
Class DiagnosticGroupWarningsGuard

    java.lang.Object
      com.google.javascript.jscomp.WarningsGuard
          com.google.javascript.jscomp.DiagnosticGroupWarningsGuard

All Implemented Interfaces:
  Serializable

    public class DiagnosticGroupWarningsGuard

extends WarningsGuard

Sets the level for a particular DiagnosticGroup.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.google.javascript.jscomp.WarningsGuard
`WarningsGuard.Priority`

Constructor Summary
`DiagnosticGroupWarningsGuard(DiagnosticGroup group, CheckLevel level)`

Method Summary
`boolean` | `disables(DiagnosticGroup otherGroup)` Returns whether all warnings in the given diagnostic group will be filtered out.
`boolean` | `enables(DiagnosticGroup otherGroup)` Returns whether any of the warnings in the given diagnostic group will be upgraded to a warning or error.
`CheckLevel` | `level(JSError error)` Returns a new check level for a given error.
`String` | `toString()`

Methods inherited from class com.google.javascript.jscomp.WarningsGuard
`getPriority`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiagnosticGroupWarningsGuard

    public DiagnosticGroupWarningsGuard(DiagnosticGroup group,
                                        CheckLevel level)

Method Detail

### level

    public CheckLevel level(JSError error)

  Description copied from class: `WarningsGuard`
  Returns a new check level for a given error. OFF - suppress it, ERROR - report as error. null means that this guard does not know what to do with the error. Null is extremely helpful when you have a chain of guards. If current guard returns null, then the next in the chain should process it.

  Specified by:
    `level` in class `WarningsGuard`
  Parameters:
    `error` - a reported error.
  Returns:
    what level given error should have.

### disables

    public boolean disables(DiagnosticGroup otherGroup)

  Description copied from class: `WarningsGuard`
  Returns whether all warnings in the given diagnostic group will be filtered out. Used to determine which passes to skip.

  Overrides:
    `disables` in class `WarningsGuard`
  Parameters:
    `otherGroup` - A group of DiagnosticTypes.
  Returns:
    Whether all warnings of these types are disabled by this guard.

### enables

    public boolean enables(DiagnosticGroup otherGroup)

  Description copied from class: `WarningsGuard`
  Returns whether any of the warnings in the given diagnostic group will be upgraded to a warning or error.

  Overrides:
    `enables` in class `WarningsGuard`
  Parameters:
    `otherGroup` - A group of DiagnosticTypes.
  Returns:
    Whether any warnings of these types are enabled by this guard.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`